You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tvm.apache.org by GitBox <gi...@apache.org> on 2020/09/10 20:41:22 UTC

[GitHub] [incubator-tvm] comaniac commented on a change in pull request #6437: [RFC][Formatting] Add scripts for applying Black to the Python code.

comaniac commented on a change in pull request #6437:
URL: https://github.com/apache/incubator-tvm/pull/6437#discussion_r486620292



##########
File path: tests/lint/git-black.sh
##########
@@ -0,0 +1,72 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+set -e
+set -u
+set -o pipefail
+
+if [[ "$1" == "-i" ]]; then
+    INPLACE_FORMAT=1
+    shift 1
+else
+    INPLACE_FORMAT=0
+fi
+
+if [[ "$#" -lt 1 ]]; then
+    echo "Usage: tests/lint/git-black.sh [-i] <commit>"
+    echo ""
+    echo "Run black-format on files that changed since <commit>"
+    echo "Examples:"
+    echo "- Compare last one commit: tests/lint/git-black.sh HEAD~1"
+    echo "- Compare against upstream/master: tests/lint/git-black.sh upstream/master"
+    echo "You can also add -i option to do inplace format"
+    exit 1
+fi
+
+cleanup()
+{
+  rm -rf /tmp/$$.black-format.txt
+}
+trap cleanup 0
+
+
+if [ -x "$(command -v black)" ]; then
+    BLACK=black
+else
+    echo "Cannot find black"
+    exit 1
+fi
+
+# Print out specific version
+
+echo "Version Information: $(${BLACK} --version)"

Review comment:
       Seems like `BLACK` is only used for displaying the version. If so, how about move this line to the if-block so that we can get rid of `BLACK` at all.




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org